Modify

Opened 7 years ago

Closed 22 months ago

#7580 closed defect (wontfix)

Sort out versions attached to wiki page and add to repository

Reported by: Ryan J Ollos Owned by: Ryan J Ollos
Priority: normal Component: LastModifiedMacro
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description


Attachments (0)

Change History (5)

comment:1 Changed 7 years ago by Ryan J Ollos

(In [8647]) Print full name of author if it exists as a session attribute. Patch by heinlein@…. Refs #7580.

comment:2 Changed 7 years ago by Ryan J Ollos

Status: newassigned
LastModified.2.py (4.2 kB) -"Displays the information in an address tag.
Date in "DayOfWeek?, Month DayOfMonth?, Year" format with the title
attribute set to display the ISO 8601 (almost) timestamp. Shows the
author name if they have one with the title set to their username.",
added by spam.goes.in.here@gmail.com on 01/21/09 10:47:55.
LastModified.2.1.py (4.9 kB) -"slightly updated v2 which should work
correctly with the delta now", added by Ilya Kochetov on 01/27/09
10:55:09.}}}

comment:3 Changed 7 years ago by Ryan J Ollos

  • TODO make a note on the project's wiki page that this macro is deprecated as of 0.12.

More notes from the project's wiki page

LastModified.py file attached by Bill Coffman, which works on 0.11. This new version:

  1. Does not support mouseover.
  2. Does not support the delta argument all by itself. That is, LastModified(delta) will just look for a wiki page named delta.
  3. The above style sheets mentioned above won't work with this version.
  4. Has changed the format of the date to something that I personally found more compact, precise and readable.
  5. Most importantly, it works with 0.11, and seems to be pretty much compliant with the coding standards for 0.11
  6. Because of the above changes, it should probably be officially considered a fork, and could be named something differently. I leave it to someone who cares sufficiently to make this code compliant with the previous version.

The fullname.diff patch attached by Paul Heinlein will, when applied to Bill's 0.11 version of the plugin, report the author's full name rather than login username if the full name exists as a session attribute.


File attached by Izzy for easier install. Small modifications have been done to Bills code:

  • internal docu (as displayed on WikiMacros page) shows syntax details
  • text is contained in the span element again
  • date format is more clear for users from "other countries" (now: 2008/12/09 18:55)
  • text is now: "Last modified: %s by %s" - where you have to replace the %s by date and author

comment:4 Changed 4 years ago by Ryan J Ollos

Status: assignednew

comment:5 Changed 22 months ago by Ryan J Ollos

Resolution: wontfix
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Ryan J Ollos.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.